Kerbal Space Program - Bug #9632

OX-STAT generates power during timewarp when in closed service bay
04/30/2016 08:10 PM - Katateochi

Status: Closed Start date: 04/30/2016
Severity: Normal % Done: 100%
Assignee:

Category: Parts

Target version:

Version: 1.1.2 Language: English (US)
Platform: Windows Mod Related: No
Expansion:

Description

The OX-STAT solar panel generates power and has a status of "direct sunlight" inside a closed service bay during timewarp, but
correctly shows "blocked by aero shielding" at normal speed.

Steps to repeat:

- put an OX-STAT solar panel inside a service bay (attached craft is setup for this test).

- open service bay (action group 1 on attached craft) and bring up context menu on solar panel. note it correctly shows "direct
sunlight" and changes the batteries (pic 1)

- keep solar panel menu open and close service bay. note it correctly shows "blocked by aero shielding" and stops charging batteries
(pic 2)

- enter timewarp and note the panel's menu now says in "direct sunlight" and starts charging the batteries (pic 3)

Attached craft has a couple of panels and half drained batteries inside a service bay for this test (also has a wheel to drain power,
why not).
noted in 1.1.0, but still applies in 1.1.2.

dxdiag - https://www.dropbox.com/s/4v2ec08060wfx6c/DxDiag.txt?dI=0
build id = 01260

2016.04.30 at 12:23:12 CEST

Branch: master

Win 7 x64

History

#1 - 05/01/2016 09:52 AM - rudi1291

- File screenshot285.png added

- File screenshot286.png added

- Status changed from New to Confirmed

- % Done changed from 0 to 10

Tested with the small and big panel and both service bays. Same behaviour with fairings and cargo bays, too.

#2 - 07/17/2016 09:55 AM - TriggerAu
- Status changed from Confirmed to Needs Clarification

- % Done changed from 10 to 0

#3 - 08/09/2019 11:08 PM - chris.fulton
- Status changed from Needs Clarification to Resolved

- % Done changed from 0 to 100

#4 - 08/09/2019 11:08 PM - chris.fulton

- Status changed from Resolved to Closed

Closing, QA has not been able to reproduce this issue for some time and in effort of the database cleanup that is underway this bug is being closed.
